Skip to navigation

Get orders filtered by search parameters

Get all orders that match the parameters that you have submitted. The maximum recommended call frequency for retrieving data from this endpoint is 2 requests per second.

Authentication

tokenstring

The Authentication token obtained from the get_token route.

OR
x-api-keystring
The SSO token obtained from the Feedonomics platform SSO token route.

Headers

clientintegerRequired
The ID of the client making the request

Query parameters

marketplace_statestringOptional

The state of the order. Multiple states can be matched by specifying a comma-separated list of values.

normalized_marketplace_stateenumOptional

FeedAMP’s understanding of the state of the order in the marketplace. Multiple states can be matched by specifying a comma-separated list of values.

Allowed values:
marketplace_state_changed_afterdatetimeOptional

Marketplace state was last changed after this datetime. RFC-3339 date-time format — fractional seconds not allowed

marketplace_state_changed_beforedatetimeOptional

Marketplace state was last changed before this datetime. RFC-3339 date-time format — fractional seconds not allowed

imported_afterdatetimeOptional

Orders created in FeedAMP after this datetime. RFC-3339 date-time format — fractional seconds not allowed

imported_beforedatetimeOptional

Orders created in FeedAMP before this datetime. RFC-3339 date-time format — fractional seconds not allowed

idstringOptional

FeedAMP order ID. May be a comma-delimited list of multiple IDs.

marketplace_order_numberstringOptional

The primary order number provided by the marketplace. May be a comma-delimited list of multiple

customer_order_numberstringOptional

The customer-facing order number provided by the marketplace. May be a comma-delimited list of multiple

merchant_order_numberstringOptional

Order identifier in the merchant’s e-commerce platform. May be a comma-delimited list of multiple

integration_idstringOptional
FeedAMP integration ID to limit results to a single integration
source_location_idstringOptional
Source platform identifier for a location to limit order results to
client_location_idstringOptional

Client-provided identifier for a location to limit order results to. This will take precedence over source_location_id if both are present in the request.

feedamp_statusenumOptional
The feedamp order status
Allowed values:
feedamp_status_changed_afterdatetimeOptional

Feedamp order status was last changed after this datetime. RFC-3339 date-time format — fractional seconds not allowed

feedamp_status_changed_beforedatetimeOptional

Feedamp order status was last changed before this datetime. RFC-3339 date-time format — fractional seconds not allowed

limitintegerOptional1-250Defaults to 100
The max number of orders in the response.
cursorstringOptional
Cursor for the next page of orders.
include_raw_databooleanOptionalDefaults to false
Set true to include the raw data from the marketplace for each order in results.

Response

List of orders
orderslist of objects
next_cursorstringOptional

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error
503
Service Unavailable Error